GNU bug report logs - #42535
28.0.50; macOS test failure: echo-server-with-dns

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Philipp <p.stephani2@HIDDEN>; Keywords: fixed; Done: Lars Ingebrigtsen <larsi@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 42535 <at> debbugs.gnu.org:


Received: (at 42535) by debbugs.gnu.org; 4 Aug 2020 16:13:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 04 12:13:09 2020
Received: from localhost ([127.0.0.1]:48970 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k2zYq-0000i6-NP
	for submit <at> debbugs.gnu.org; Tue, 04 Aug 2020 12:13:09 -0400
Received: from quimby.gnus.org ([95.216.78.240]:58388)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1k2zYo-0000hB-OY
 for 42535 <at> debbugs.gnu.org; Tue, 04 Aug 2020 12:13:07 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Transfer-Encoding:Content-Type:MIME-Version:Message-ID
 :In-Reply-To:Date:References:Subject:Cc:To:From:Sender:Reply-To:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=O5vgJv73l4iacfnveuG2FEnTGHp7zGe23wxwisKaFrk=; b=rGbbscCScNnczBGX3+ZuoW1ff8
 H0sv/JxNhxXFpQZ5iibCBFTkvq3e+QUgZssH+KEA8H+kCuzMfDLHL91NtGZ+xnloQ/YjrszYKvkrz
 o9ZSTsjWM996KKRMRbML/gYlMY/IjatsR2uRU5CWcHi0/3/Ba3QPkAAR7u4sB9/X5jAI=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1k2zYg-000108-Fe; Tue, 04 Aug 2020 18:13:00 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Robert Pluim <rpluim@HIDDEN>
Subject: Re: bug#42535: 28.0.50; macOS test failure: echo-server-with-dns
References: <m2o8o3sal2.fsf@HIDDEN> <m2lfiw9ghj.fsf@HIDDEN>
 <87a6zao5zg.fsf@HIDDEN> <m2mu3a8osu.fsf@HIDDEN>
 <871rkmo4qh.fsf@HIDDEN> <m2bljq8nup.fsf@HIDDEN>
 <87r1smmp3d.fsf@HIDDEN> <m27due8mv7.fsf@HIDDEN>
 <87imdymogd.fsf@HIDDEN> <87imdymo09.fsf@HIDDEN>
 <87eeommny9.fsf@HIDDEN> <m2y2mu77cq.fsf@HIDDEN>
Date: Tue, 04 Aug 2020 18:12:51 +0200
In-Reply-To: <m2y2mu77cq.fsf@HIDDEN> (Robert Pluim's message of "Tue, 04
 Aug 2020 17:34:29 +0200")
Message-ID: <87o8nql798.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 
 Content preview:  Robert Pluim <rpluim@HIDDEN> writes: > 'network-lookup-address-info'
    returns nil if it canʼt resolve the > hostname, and if it happens to return
    a non-loopback IP, what's wrong > with trying to connect to it? It will be
    local anyway. 
 
 Content analysis details:   (-2.9 points, 5.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
                             [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 42535
Cc: 42535 <at> debbugs.gnu.org, Philipp <p.stephani2@HIDDEN>,
 Andreas Schwab <schwab@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Robert Pluim <rpluim@HIDDEN> writes:

> 'network-lookup-address-info' returns nil if it can=CA=BCt resolve the
> hostname, and if it happens to return a non-loopback IP, what's wrong
> with trying to connect to it? It will be local anyway.

It's just one more thing that may fail -- somebody may have set
(system-name) to something that does resolve, but isn't the local
machine.  People do all kinds of odd things.

--=20
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42535; Package emacs. Full text available.
bug marked as fixed in version 28.1, send any further explanations to 42535 <at> debbugs.gnu.org and Philipp <p.stephani2@HIDDEN> Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) fixed. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 42535 <at> debbugs.gnu.org:


Received: (at 42535) by debbugs.gnu.org; 4 Aug 2020 16:12:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 04 12:12:15 2020
Received: from localhost ([127.0.0.1]:48963 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k2zXz-0000gE-DT
	for submit <at> debbugs.gnu.org; Tue, 04 Aug 2020 12:12:15 -0400
Received: from quimby.gnus.org ([95.216.78.240]:58360)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1k2zXj-0000f7-05
 for 42535 <at> debbugs.gnu.org; Tue, 04 Aug 2020 12:12:14 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=2t5qU3mHn/9il1IKwT2EEX4pOo61u0AtWCM5Lg7i0To=; b=t3sEBvpk4xiwn7rsD/oGDJBC93
 1t8RzJ+LEV1NrJPSPKAvxB6PiJuy6Lmm09AkuL2p20+Bm08LcYepxe2gf0EGMth4e7XogDRdSqa0f
 BrfkwiOJ8UiRweC85a/hsQX96fIV+p39RNglkhFpdIDMpawo9410LWUSV0kGUeMj3mrQ=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1k2zXa-0000zd-MZ; Tue, 04 Aug 2020 18:11:53 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Philipp Stephani <p.stephani2@HIDDEN>
Subject: Re: bug#42535: 28.0.50; macOS test failure: echo-server-with-dns
References: <m2o8o3sal2.fsf@HIDDEN> <877duemnwd.fsf@HIDDEN>
 <CAArVCkRbE2W30001fz2nD+J+2RD3yyr_zBUpLzM6SUCZ+z502w@HIDDEN>
Date: Tue, 04 Aug 2020 18:11:49 +0200
In-Reply-To: <CAArVCkRbE2W30001fz2nD+J+2RD3yyr_zBUpLzM6SUCZ+z502w@HIDDEN>
 (Philipp Stephani's message of "Tue, 4 Aug 2020 18:08:18 +0200")
Message-ID: <87tuxil7ay.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Philipp Stephani <p.stephani2@HIDDEN> writes: > Yes, the
 test is now being skipped on my machine. Thanks. Thanks for testing; closing
 the bug report. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 42535
Cc: 42535 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Philipp Stephani <p.stephani2@HIDDEN> writes:

> Yes, the test is now being skipped on my machine. Thanks.

Thanks for testing; closing the bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42535; Package emacs. Full text available.

Message received at 42535 <at> debbugs.gnu.org:


Received: (at 42535) by debbugs.gnu.org; 4 Aug 2020 16:08:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 04 12:08:36 2020
Received: from localhost ([127.0.0.1]:48951 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k2zUS-0000aG-II
	for submit <at> debbugs.gnu.org; Tue, 04 Aug 2020 12:08:36 -0400
Received: from mail-oi1-f181.google.com ([209.85.167.181]:45483)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <p.stephani2@HIDDEN>) id 1k2zUR-0000a4-4P
 for 42535 <at> debbugs.gnu.org; Tue, 04 Aug 2020 12:08:36 -0400
Received: by mail-oi1-f181.google.com with SMTP id o21so16068770oie.12
 for <42535 <at> debbugs.gnu.org>; Tue, 04 Aug 2020 09:08:35 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=36yE3ZiN2r45g7/LTVvmAWMjE50UgtCuka/3UB2uH1o=;
 b=XkjGzAN4aLG+IGT7DBAaH0Vl80f15zibAmpk2Tg/8X52O1QhWoVH3s32SvydzXMHvM
 483iH6upKdwc71e+H4wTRdhvoEF7Zf1NU7bqflap/S5/4SHyqdm3xgxpJlbGa/myqRzv
 Om/EMCHv36GhfzBZ33buSiCXT10+dUKHb9+eLGCckytkrR7nUzdWrQ+rrhGO4JIsSITz
 AaNKnfLgmon+zph2tI8dEOQsY9yPHc2TfONj3TgPPp0+HvT7+VLrugt2iOWoHYBkUVpu
 39v/U39V1ulO9Rs4Mz8SGUO7iWPskXcMAwj9KCRnbMOUonLZ2LSIAYjPq9c0RyDFSir6
 6thw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=36yE3ZiN2r45g7/LTVvmAWMjE50UgtCuka/3UB2uH1o=;
 b=boPgiEqld9fuBpkLRpLS4QkRv00PXcEd4KH41Tvey0zn+KM+IRpT1oCkwGG45M5vaD
 GfKI7op6PMoaphypP0PtTSZxBz9lQRPKMNGPxH0HL6SAqquhfom3VrBFCmroXiLavdmU
 6L8yLhu2ZkSPa0SALhPBdbeRLgJzNDfra6XjZMUutAEnpefdtm2Trkvs0Lb9oXteYqgX
 T2Dm9QDuOtxqbUxKzKM5Xe05zoXCYN3A3RIr3unmIjOeMwpNgB0SvNnbJpiSlcw8bftz
 wjU+FP2QCCLdXj5hHx7dIhashq2i1F0mKauoVgfKKoBLNK+RQ1e0yjIrkEtCDgb+GGai
 oFOg==
X-Gm-Message-State: AOAM531Zo1ClqQFVIF/ovTUULa1a+RTkD23DDzl124GNWHl/0+6SPKHY
 BH+4jCOsEqobAP66RvcZAReByWM6TeIERQYZ+80=
X-Google-Smtp-Source: ABdhPJws/Mb9SMiB0JteCHuro0so+k+vc0vNak517nISHCMJCB/HYV/u1+MeATYp7k3S4sSZKDVjV3K0qZW0SXax6mM=
X-Received: by 2002:aca:b884:: with SMTP id i126mr3957568oif.65.1596557309320; 
 Tue, 04 Aug 2020 09:08:29 -0700 (PDT)
MIME-Version: 1.0
References: <m2o8o3sal2.fsf@HIDDEN> <877duemnwd.fsf@HIDDEN>
In-Reply-To: <877duemnwd.fsf@HIDDEN>
From: Philipp Stephani <p.stephani2@HIDDEN>
Date: Tue, 4 Aug 2020 18:08:18 +0200
Message-ID: <CAArVCkRbE2W30001fz2nD+J+2RD3yyr_zBUpLzM6SUCZ+z502w@HIDDEN>
Subject: Re: bug#42535: 28.0.50; macOS test failure: echo-server-with-dns
To: Lars Ingebrigtsen <larsi@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: 42535
Cc: 42535 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.8 (/)

Am Di., 4. Aug. 2020 um 17:28 Uhr schrieb Lars Ingebrigtsen <larsi@HIDDEN>:
>
> Philipp <p.stephani2@HIDDEN> writes:
>
> > This is another follow-up to bug#30700, this time about the test
> > echo-server-with-dns.
> >
> > Test echo-server-with-dns backtrace:
> >   make-network-process(:name "server" :server t :noquery t :family ipv
>
> I've now disabled this test if it looks like (system-name) isn't
> localhost on the machine.  Can you try this and see whether it fixes
> this test case on your machine?  (The test doesn't fail on my Apple
> laptop.)

Yes, the test is now being skipped on my machine. Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42535; Package emacs. Full text available.

Message received at 42535 <at> debbugs.gnu.org:


Received: (at 42535) by debbugs.gnu.org; 4 Aug 2020 15:34:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 04 11:34:40 2020
Received: from localhost ([127.0.0.1]:48882 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k2yxc-00089L-KR
	for submit <at> debbugs.gnu.org; Tue, 04 Aug 2020 11:34:40 -0400
Received: from mail-wm1-f45.google.com ([209.85.128.45]:50425)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1k2yxa-000899-W5
 for 42535 <at> debbugs.gnu.org; Tue, 04 Aug 2020 11:34:39 -0400
Received: by mail-wm1-f45.google.com with SMTP id c80so3097102wme.0
 for <42535 <at> debbugs.gnu.org>; Tue, 04 Aug 2020 08:34:38 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :mime-version:content-transfer-encoding;
 bh=XIcu0o8X6ur4A8A6SJlhISTmYU39SyR3FlN9K83PgGQ=;
 b=bQ62SjpeCCFofzR7BYskX5q1mOMfIhiAOS5pS9vw4aGNHhqkFFTH9CpQw/CIQfk7QX
 Bkn3bZ/etv7pDVric+eY5Nj32DwmkeoS+SaikNNQ1y43IpOgfAKN2crurkD5IpLk1ofj
 1B1MOh1y3edelIAlNJInFRbaLUUWwxE8B1xThQp1gldjiUeObbd1r353xVJvKBD/pIXQ
 vmN9bz/JDoaPgCRQnt9FzwUgB9egGKAwCKHA/nmbL93xZfdErvLF3/gvmT30JnEzPn2y
 JXQkuMzQp2iQY1t8nFOe/OD1f2kMwii7ofBM+twINQyX9dV/jXGzwupnBosrgh+9MoBw
 hT+Q==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:mime-version:content-transfer-encoding;
 bh=XIcu0o8X6ur4A8A6SJlhISTmYU39SyR3FlN9K83PgGQ=;
 b=I5ivnuZV9e+GBPKOHtbXrGlH8W0QD/YIM07I7wjjvv1FRrUeDp/vmAqcaGY6aNrFro
 mNnhit6PPXRK/VFv+3GBS8AL3mjUeRy02PaAw3lnWVyq99OM+9TbL0xkj/MY4qx7H9Ep
 IjhLj3dgcdeiR0Qp+Iw3bEFBRbUZ1YARhKRzrZNxdMJTUlJ/fGbBQYkmhFb3XtGW63i8
 SeESLm5zx4RmHooGZvS33khafWBjxiVo8fUs6LZQU8ZfVNS0vmn1UN1nVqy0fU8t2xuW
 MPtdkuV2X85LfAmCbxpbTxj5mAISxs7lAVR12p8H6FEwzAljxSBMxfmLeD52d+jkN5JN
 +5DA==
X-Gm-Message-State: AOAM532RHlrTtj2Mf/49rWAJGIJ3ErYtCx51bmXeCmlxybrQH8qbpp9c
 +P02clb4ZEIUS2h/SJW63b0=
X-Google-Smtp-Source: ABdhPJxm3IQceTJWhezyJRayrjeOuwxds1LuY8imurxhP4jUD3iu3uR2eh8oCqXm5eIwbAKldLzwzQ==
X-Received: by 2002:a7b:ce83:: with SMTP id q3mr4518110wmj.5.1596555273070;
 Tue, 04 Aug 2020 08:34:33 -0700 (PDT)
Received: from rpluim-mac (vav06-1-78-207-202-134.fbx.proxad.net.
 [78.207.202.134])
 by smtp.gmail.com with ESMTPSA id p8sm32994761wrq.9.2020.08.04.08.34.32
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 04 Aug 2020 08:34:32 -0700 (PDT)
From: Robert Pluim <rpluim@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#42535: 28.0.50; macOS test failure: echo-server-with-dns
References: <m2o8o3sal2.fsf@HIDDEN> <m2lfiw9ghj.fsf@HIDDEN>
 <87a6zao5zg.fsf@HIDDEN> <m2mu3a8osu.fsf@HIDDEN>
 <871rkmo4qh.fsf@HIDDEN> <m2bljq8nup.fsf@HIDDEN>
 <87r1smmp3d.fsf@HIDDEN> <m27due8mv7.fsf@HIDDEN>
 <87imdymogd.fsf@HIDDEN> <87imdymo09.fsf@HIDDEN>
 <87eeommny9.fsf@HIDDEN>
Date: Tue, 04 Aug 2020 17:34:29 +0200
In-Reply-To: <87eeommny9.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Tue,
 04 Aug 2020 17:26:54 +0200")
Message-ID: <m2y2mu77cq.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 42535
Cc: 42535 <at> debbugs.gnu.org, Philipp <p.stephani2@HIDDEN>,
 Andreas Schwab <schwab@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>>>>> On Tue, 04 Aug 2020 17:26:54 +0200, Lars Ingebrigtsen <larsi@HIDDEN=
> said:

    Lars> Andreas Schwab <schwab@HIDDEN> writes:
    >>> Sure.  So if the first octet is 0 or 127, then we have a resolving
    >>> (system-name)?
    >>=20
    >> (system-name) can also resolve to a real IP.

    Lars> Yeah, but we don't really need to run this test on all machines i=
n the
    Lars> world...  that it's disabled for a number is better than it fails=
 for a
    Lars> different subset.

'network-lookup-address-info' returns nil if it can=CA=BCt resolve the
hostname, and if it happens to return a non-loopback IP, what's wrong
with trying to connect to it? It will be local anyway.

Robert




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42535; Package emacs. Full text available.

Message received at 42535 <at> debbugs.gnu.org:


Received: (at 42535) by debbugs.gnu.org; 4 Aug 2020 15:32:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 04 11:32:15 2020
Received: from localhost ([127.0.0.1]:48867 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k2yvH-00085W-IL
	for submit <at> debbugs.gnu.org; Tue, 04 Aug 2020 11:32:15 -0400
Received: from mail-wr1-f41.google.com ([209.85.221.41]:45277)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1k2yvE-00085H-MR
 for 42535 <at> debbugs.gnu.org; Tue, 04 Aug 2020 11:32:14 -0400
Received: by mail-wr1-f41.google.com with SMTP id z18so34258451wrm.12
 for <42535 <at> debbugs.gnu.org>; Tue, 04 Aug 2020 08:32:12 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :mime-version:content-transfer-encoding;
 bh=tk13HJSLdSyJkQ0y5zPAdb68JQjn88a878e112crq7g=;
 b=TpgKHNiVFOvtyHeaWy4vGW2RdaD3St8CwFjQ8w80TRlgSlvpPuVF22HI74s6vtyZgn
 absU5F6NKAGizsOUtuv20aHiTYB1fAJbc6OLbwcaCNrRJTUZX2IdETI1+zGBO7CPt+61
 TiTOXFdpN5UJdfqrXyfCIYRThjHt8R6SYqnRJXP288p+lEkeu78GiZHidEz1lATl/rkp
 9saJu0N2zpqSchCDgIDttWr+/VoTOxHimRJnlo/yf+CdB/WGEWRyZrd1aDH3q/LP2vI0
 59ITzBcvXF3HUXk2KVVa5DnK0KIk6ZUTJuGLWhhhvPZScco9EQUSapsrPx/IeTFM6P0w
 3MBQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:mime-version:content-transfer-encoding;
 bh=tk13HJSLdSyJkQ0y5zPAdb68JQjn88a878e112crq7g=;
 b=AzxSWWq6NAXhxccl/i5YW7ZCJoLk3MvXq+KRG+YVVZFfdr84mnw84lx6EXgsoNxTu8
 p0+Tj6GlWNboQrMa5ROtarT4J3UYPmRHjYp51cdHbHE9YhYuUd5ZzAnqQozwBL1nvlaC
 ia6nBSItOOdIOkADL6QgVuS8SE20l6SjuRw7j0zx+Twzs/6h+bynIrIY7BG198bhDLsF
 P3ErSEIyr66j6jXuOzAiJcUNqCd7oeEDh4DenlLq2QXvgRq9Z0duLqaGIyfU4/E/Ya9b
 gTTlU/FAl/uhfaWrOftwSUdbY8Ps6g9nqxfce9bTkIQtlB6870pmW/fFjQFQ1djoxnXQ
 38SQ==
X-Gm-Message-State: AOAM531oUpZzg8ZA0UyaLfWwWO/eobLsYqECbXyEXm76XaMrgxG4eIjZ
 O4NbqrfamleXNhaPXy2DTAVL9q89Z2d9Yw==
X-Google-Smtp-Source: ABdhPJzfn2wpKcmoL+xaabfG5Dc+cEVxd+ulDug4hUfz4sEJf3+ImbKwifwjFFMuPBb7p66YtaRplw==
X-Received: by 2002:adf:f6cb:: with SMTP id y11mr19563838wrp.169.1596555126331; 
 Tue, 04 Aug 2020 08:32:06 -0700 (PDT)
Received: from rpluim-mac ([2a01:e34:ecfc:a860:b9a5:7154:c4ef:ab72])
 by smtp.gmail.com with ESMTPSA id q5sm29441963wrp.60.2020.08.04.08.32.05
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 04 Aug 2020 08:32:05 -0700 (PDT)
From: Robert Pluim <rpluim@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#42535: 28.0.50; macOS test failure: echo-server-with-dns
References: <m2o8o3sal2.fsf@HIDDEN> <m2lfiw9ghj.fsf@HIDDEN>
 <87a6zao5zg.fsf@HIDDEN> <m2mu3a8osu.fsf@HIDDEN>
 <871rkmo4qh.fsf@HIDDEN> <m2bljq8nup.fsf@HIDDEN>
 <87r1smmp3d.fsf@HIDDEN> <m27due8mv7.fsf@HIDDEN>
 <87imdymogd.fsf@HIDDEN>
Date: Tue, 04 Aug 2020 17:32:04 +0200
In-Reply-To: <87imdymogd.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Tue,
 04 Aug 2020 17:16:02 +0200")
Message-ID: <m236528m17.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 42535
Cc: 42535 <at> debbugs.gnu.org, Philipp <p.stephani2@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>>>>> On Tue, 04 Aug 2020 17:16:02 +0200, Lars Ingebrigtsen <larsi@HIDDEN=
> said:

    Lars> Robert Pluim <rpluim@HIDDEN> writes:
    >> Why restrict yourself to IPv4?
    >>=20
    >> (network-lookup-address-info (system-name))
    >> =3D> ([0 0 0 0 0 0 0 1 0] [127 0 0 1 0])

    Lars> Sure.  So if the first octet is 0 or 127, then we have a resolving
    Lars> (system-name)?  I'm not sure what the rules are on ipv6 for local=
host...

There is one and only one IPv6 localhost, and it=CA=BCs the one
above. There are no currently assigned IPv6 prefixes with a 0 in the
first octet, but in 40 years, who know?

IPv4 localhost is anything in 127.0.0.0/8, so testing the first octet
is enough.

Robert




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42535; Package emacs. Full text available.

Message received at 42535 <at> debbugs.gnu.org:


Received: (at 42535) by debbugs.gnu.org; 4 Aug 2020 15:28:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 04 11:28:13 2020
Received: from localhost ([127.0.0.1]:48862 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k2yrN-0007yY-1Q
	for submit <at> debbugs.gnu.org; Tue, 04 Aug 2020 11:28:13 -0400
Received: from quimby.gnus.org ([95.216.78.240]:57924)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1k2yrL-0007yL-LE
 for 42535 <at> debbugs.gnu.org; Tue, 04 Aug 2020 11:28:12 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=ZXz2MK27IFm8GXB9FDVuwICg9Z3RlOXRp8TPyOI6yXw=; b=kzGEGcfyzPbhCHfh0k+ELNIAka
 F6AvqZUgk4ZZGaolsKGNLTrNG0BAye7WnEA7YTlxaM4kQokpR2sb2Im8aWGDs8Qz4FT8pu++1XIj0
 cBctA8wUZHUpVHPSKTZJ30PTPce2RNzJl9qLQdRAEj+7NVMOBGro8V28a5aHNVdClFEM=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1k2yrD-0000eD-D9; Tue, 04 Aug 2020 17:28:05 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Philipp <p.stephani2@HIDDEN>
Subject: Re: bug#42535: 28.0.50; macOS test failure: echo-server-with-dns
References: <m2o8o3sal2.fsf@HIDDEN>
Date: Tue, 04 Aug 2020 17:28:02 +0200
In-Reply-To: <m2o8o3sal2.fsf@HIDDEN> (Philipp's message of "Sat, 25 Jul
 2020 20:39:37 +0200")
Message-ID: <877duemnwd.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Philipp <p.stephani2@HIDDEN> writes: > This is another
 follow-up to bug#30700, this time about the test > echo-server-with-dns. >
 > Test echo-server-with-dns backtrace: > make-network-process(:name "server"
 :server t :noquery t :family i [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 42535
Cc: 42535 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Philipp <p.stephani2@HIDDEN> writes:

> This is another follow-up to bug#30700, this time about the test
> echo-server-with-dns.
>
> Test echo-server-with-dns backtrace:
>   make-network-process(:name "server" :server t :noquery t :family ipv

I've now disabled this test if it looks like (system-name) isn't
localhost on the machine.  Can you try this and see whether it fixes
this test case on your machine?  (The test doesn't fail on my Apple
laptop.)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42535; Package emacs. Full text available.

Message received at 42535 <at> debbugs.gnu.org:


Received: (at 42535) by debbugs.gnu.org; 4 Aug 2020 15:27:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 04 11:27:06 2020
Received: from localhost ([127.0.0.1]:48858 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k2yqI-0007wp-OK
	for submit <at> debbugs.gnu.org; Tue, 04 Aug 2020 11:27:06 -0400
Received: from quimby.gnus.org ([95.216.78.240]:57904)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1k2yqG-0007wJ-TJ
 for 42535 <at> debbugs.gnu.org; Tue, 04 Aug 2020 11:27:05 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=p7yo0GPRB3vJrICP12dr3ssDR3s4ApXejBlLKe3Ulv4=; b=PoNgh0zIVwnH7n08ETwm4C8TTm
 8hST2xPqfMej6iGwQUyOchooSCk91CpCtcdK2jJOLop7gBeSGUhtJ2+5fbYzzW9tlvfx+jXLwF0Rm
 5AWWd4W63In4Na06mnIYfXZGVdacLHqUsmFctjimDAesxU8GCVY6KCY05B1iHd4mKA9Q=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1k2yq7-0000do-Nz; Tue, 04 Aug 2020 17:26:58 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Andreas Schwab <schwab@HIDDEN>
Subject: Re: bug#42535: 28.0.50; macOS test failure: echo-server-with-dns
References: <m2o8o3sal2.fsf@HIDDEN> <m2lfiw9ghj.fsf@HIDDEN>
 <87a6zao5zg.fsf@HIDDEN> <m2mu3a8osu.fsf@HIDDEN>
 <871rkmo4qh.fsf@HIDDEN> <m2bljq8nup.fsf@HIDDEN>
 <87r1smmp3d.fsf@HIDDEN> <m27due8mv7.fsf@HIDDEN>
 <87imdymogd.fsf@HIDDEN> <87imdymo09.fsf@HIDDEN>
Date: Tue, 04 Aug 2020 17:26:54 +0200
In-Reply-To: <87imdymo09.fsf@HIDDEN> (Andreas Schwab's message of "Tue, 04
 Aug 2020 17:25:42 +0200")
Message-ID: <87eeommny9.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Andreas Schwab <schwab@HIDDEN> writes: >> Sure. So
 if the first octet is 0 or 127, then we have a resolving >> (system-name)?
 > > (system-name) can also resolve to a real IP. Yeah, but we don't really
 need to run this test on all machines in the world... that it's disabled
 for a number is better than it fails for a different subset. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 42535
Cc: 42535 <at> debbugs.gnu.org, Robert Pluim <rpluim@HIDDEN>,
 Philipp <p.stephani2@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Andreas Schwab <schwab@HIDDEN> writes:

>> Sure.  So if the first octet is 0 or 127, then we have a resolving
>> (system-name)?
>
> (system-name) can also resolve to a real IP.

Yeah, but we don't really need to run this test on all machines in the
world...  that it's disabled for a number is better than it fails for a
different subset.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42535; Package emacs. Full text available.

Message received at 42535 <at> debbugs.gnu.org:


Received: (at 42535) by debbugs.gnu.org; 4 Aug 2020 15:25:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 04 11:25:47 2020
Received: from localhost ([127.0.0.1]:48854 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k2yp1-0007uR-DR
	for submit <at> debbugs.gnu.org; Tue, 04 Aug 2020 11:25:47 -0400
Received: from mail-out.m-online.net ([212.18.0.9]:52454)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <whitebox@HIDDEN>) id 1k2yoz-0007uJ-NA
 for 42535 <at> debbugs.gnu.org; Tue, 04 Aug 2020 11:25:46 -0400
Received: from frontend01.mail.m-online.net (unknown [192.168.8.182])
 by mail-out.m-online.net (Postfix) with ESMTP id 4BLdqr1rqLz1qrfB;
 Tue,  4 Aug 2020 17:25:44 +0200 (CEST)
Received: from localhost (dynscan1.mnet-online.de [192.168.6.70])
 by mail.m-online.net (Postfix) with ESMTP id 4BLdqq6mfcz1qwTF;
 Tue,  4 Aug 2020 17:25:43 +0200 (CEST)
X-Virus-Scanned: amavisd-new at mnet-online.de
Received: from mail.mnet-online.de ([192.168.8.182])
 by localhost (dynscan1.mail.m-online.net [192.168.6.70]) (amavisd-new,
 port 10024)
 with ESMTP id XSsVeMU-w0t3; Tue,  4 Aug 2020 17:25:43 +0200 (CEST)
X-Auth-Info: BUcasnIQ7dRblr+wDkHUA7unrpB7ZD5QPngCh4B3ZGwGPltU2tfDV1J9Zg8poYw7
Received: from igel.home (ppp-46-244-183-28.dynamic.mnet-online.de
 [46.244.183.28])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 by mail.mnet-online.de (Postfix) with ESMTPSA;
 Tue,  4 Aug 2020 17:25:43 +0200 (CEST)
Received: by igel.home (Postfix, from userid 1000)
 id 7A3442C1100; Tue,  4 Aug 2020 17:25:42 +0200 (CEST)
From: Andreas Schwab <schwab@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#42535: 28.0.50; macOS test failure: echo-server-with-dns
References: <m2o8o3sal2.fsf@HIDDEN> <m2lfiw9ghj.fsf@HIDDEN>
 <87a6zao5zg.fsf@HIDDEN> <m2mu3a8osu.fsf@HIDDEN>
 <871rkmo4qh.fsf@HIDDEN> <m2bljq8nup.fsf@HIDDEN>
 <87r1smmp3d.fsf@HIDDEN> <m27due8mv7.fsf@HIDDEN>
 <87imdymogd.fsf@HIDDEN>
X-Yow: OVER the undertow!  UNDER the overpass!  Around the FUTURE
 and BEYOND REPAIR!!
Date: Tue, 04 Aug 2020 17:25:42 +0200
In-Reply-To: <87imdymogd.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Tue,
 04 Aug 2020 17:16:02 +0200")
Message-ID: <87imdymo09.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 42535
Cc: 42535 <at> debbugs.gnu.org, Robert Pluim <rpluim@HIDDEN>,
 Philipp <p.stephani2@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Aug 04 2020, Lars Ingebrigtsen wrote:

> Robert Pluim <rpluim@HIDDEN> writes:
>
>> Why restrict yourself to IPv4?
>>
>> (network-lookup-address-info (system-name))
>> => ([0 0 0 0 0 0 0 1 0] [127 0 0 1 0])
>
> Sure.  So if the first octet is 0 or 127, then we have a resolving
> (system-name)?

(system-name) can also resolve to a real IP.

Andreas.

-- 
Andreas Schwab, schwab@HIDDEN
GPG Key fingerprint = 7578 EB47 D4E5 4D69 2510  2552 DF73 E780 A9DA AEC1
"And now for something completely different."




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42535; Package emacs. Full text available.

Message received at 42535 <at> debbugs.gnu.org:


Received: (at 42535) by debbugs.gnu.org; 4 Aug 2020 15:16:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 04 11:16:14 2020
Received: from localhost ([127.0.0.1]:48850 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k2yfm-0007hD-Fy
	for submit <at> debbugs.gnu.org; Tue, 04 Aug 2020 11:16:14 -0400
Received: from quimby.gnus.org ([95.216.78.240]:57830)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1k2yfk-0007gz-1U
 for 42535 <at> debbugs.gnu.org; Tue, 04 Aug 2020 11:16:12 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Transfer-Encoding:Content-Type:MIME-Version:Message-ID
 :In-Reply-To:Date:References:Subject:Cc:To:From:Sender:Reply-To:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=jDFDXKYZEajYeMUA7GJOh8TvYH4l9s4rWhzjbaLcIGE=; b=Cu6OoowUnuBZ8/HBhRs77v40Ht
 /lVKL8MlbDJJBaXg7sXpFGUD0YZOiypK3a48K9qaHwMKQp96VpwOCoWGNZwqe7bqFVgNBJ8LW1hvm
 osOBmRumkYR5NNQ8TX+XV1IHsymWxt8jLgoWvrszoDAn9+ZSWYyRuOFljunSxDG0qHE0=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1k2yfb-0000ZB-OY; Tue, 04 Aug 2020 17:16:06 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Robert Pluim <rpluim@HIDDEN>
Subject: Re: bug#42535: 28.0.50; macOS test failure: echo-server-with-dns
References: <m2o8o3sal2.fsf@HIDDEN> <m2lfiw9ghj.fsf@HIDDEN>
 <87a6zao5zg.fsf@HIDDEN> <m2mu3a8osu.fsf@HIDDEN>
 <871rkmo4qh.fsf@HIDDEN> <m2bljq8nup.fsf@HIDDEN>
 <87r1smmp3d.fsf@HIDDEN> <m27due8mv7.fsf@HIDDEN>
Date: Tue, 04 Aug 2020 17:16:02 +0200
In-Reply-To: <m27due8mv7.fsf@HIDDEN> (Robert Pluim's message of "Tue, 04
 Aug 2020 17:14:04 +0200")
Message-ID: <87imdymogd.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Robert Pluim <rpluim@HIDDEN> writes: > Why restrict
 yourself
 to IPv4? > > (network-lookup-address-info (system-name)) > => ([0 0 0 0 0
 0 0 1 0] [127 0 0 1 0]) Sure. So if the first octet is 0 or 127, then we
 have a resolving (system-name)? I'm not sure what the rules are on ipv6 for
 localhost... 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 42535
Cc: 42535 <at> debbugs.gnu.org, Philipp <p.stephani2@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Robert Pluim <rpluim@HIDDEN> writes:

> Why restrict yourself to IPv4?
>
> (network-lookup-address-info (system-name))
> =3D> ([0 0 0 0 0 0 0 1 0] [127 0 0 1 0])

Sure.  So if the first octet is 0 or 127, then we have a resolving
(system-name)?  I'm not sure what the rules are on ipv6 for localhost...

> Note that strictly speaking this doesn=CA=BCt test DNS, since in my case
> it=CA=BCs just looking in /etc/hosts, but it does test the resolver.

Yes, but from make-network-process's point of view, that doesn't make
any difference, I think...

--=20
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42535; Package emacs. Full text available.

Message received at 42535 <at> debbugs.gnu.org:


Received: (at 42535) by debbugs.gnu.org; 4 Aug 2020 15:14:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 04 11:14:15 2020
Received: from localhost ([127.0.0.1]:48838 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k2ydr-0007cz-KY
	for submit <at> debbugs.gnu.org; Tue, 04 Aug 2020 11:14:15 -0400
Received: from mail-wr1-f45.google.com ([209.85.221.45]:36332)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1k2ydp-0007cm-L3
 for 42535 <at> debbugs.gnu.org; Tue, 04 Aug 2020 11:14:14 -0400
Received: by mail-wr1-f45.google.com with SMTP id 88so37731789wrh.3
 for <42535 <at> debbugs.gnu.org>; Tue, 04 Aug 2020 08:14:13 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :mime-version:content-transfer-encoding;
 bh=ktUrdZ0N8x/xkGi3keozZ3P5Eogp2weWMWusF09CPsE=;
 b=cxiOIF5BlWzGRwy7h3qQVYAjgkFehbH+bS9RLNK70ZLLchIdiV4xsbuG4CZZr7R0fr
 kv810Wd7Y5hLkwYC1UB+NP6XnWPrmYqe8a0SG+7/rTo+eSAyGFTuFk/gYLgmauB8MrkV
 jO0APGEQgLJphkurSsHgU0whnTVK2JVU062vemZm6Gre+iqsgeb+GFHtMhYhgG6ASiIo
 Syxm5K7EkaCgsrGzBOjlojak1Rg0xQXsLczW1/5BvChMHkc3ff/hjH1fvQnalXrvyV58
 Ezm9hzzfNEQKVX+9enLUFN1lTwq/We0qvdqZkkiQqw3t7Xg5QliqH29oT6ELvymPUPxI
 lHAA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:mime-version:content-transfer-encoding;
 bh=ktUrdZ0N8x/xkGi3keozZ3P5Eogp2weWMWusF09CPsE=;
 b=YFySU3MUGxdfVIqEU5nMGAkrTUn+1NOs3BVOg9yO+zrPiPy18jqPP88hYdYiyHNaaM
 pZ/8s+vVxy19Zr/wRc7KnGKsqks/Ylu+qDLiEsoKuzaR687k4N3aqSZC1iClBBY0M0Kz
 NIo148vW5xJ/xMACigzDMMi4aIwz4RMA8YOmbweUzyhxLXgiRLaut3c1cZIb4v4kMkak
 NKicSSchYKfJIYMM7FxDOfpegt135605aZXqkulCklrfzmohnuGPVpg9/PGqK1PYh2Ve
 u+MnR/THJ0GMdbpPHf3QI/CV0c7xKULngHNaA4cMioOVONtQM7DWS/xZk7SuOSHIFWwF
 S8Xg==
X-Gm-Message-State: AOAM530ZtiMK0Qj+PlaBVJ5mto7/93vO7Y1lMHf8b5CF44hOPFcdoiwd
 iU4K5AJLZBmqQwN8HiuKOZ7J//TLmmk=
X-Google-Smtp-Source: ABdhPJwkOL+VTQ8dz/2jMz3MVLPkAubjNXq7spDMIXU2236ej8ls9nNinN16Ytl9wZNWh38x/Ib5dQ==
X-Received: by 2002:a5d:5273:: with SMTP id l19mr19788366wrc.257.1596554047474; 
 Tue, 04 Aug 2020 08:14:07 -0700 (PDT)
Received: from rpluim-mac (vav06-1-78-207-202-134.fbx.proxad.net.
 [78.207.202.134])
 by smtp.gmail.com with ESMTPSA id b129sm4935171wmb.29.2020.08.04.08.14.06
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 04 Aug 2020 08:14:06 -0700 (PDT)
From: Robert Pluim <rpluim@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#42535: 28.0.50; macOS test failure: echo-server-with-dns
References: <m2o8o3sal2.fsf@HIDDEN> <m2lfiw9ghj.fsf@HIDDEN>
 <87a6zao5zg.fsf@HIDDEN> <m2mu3a8osu.fsf@HIDDEN>
 <871rkmo4qh.fsf@HIDDEN> <m2bljq8nup.fsf@HIDDEN>
 <87r1smmp3d.fsf@HIDDEN>
Date: Tue, 04 Aug 2020 17:14:04 +0200
In-Reply-To: <87r1smmp3d.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Tue,
 04 Aug 2020 17:02:14 +0200")
Message-ID: <m27due8mv7.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 42535
Cc: 42535 <at> debbugs.gnu.org, Philipp <p.stephani2@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>>>>> On Tue, 04 Aug 2020 17:02:14 +0200, Lars Ingebrigtsen <larsi@HIDDEN=
> said:

    Lars> Robert Pluim <rpluim@HIDDEN> writes:
    >> Then either we need to accept that this test can fail on some system=
s,
    >> or we risk calling the wrath of <insert large internet company> down
    >> upon us by putting one of their public servers in the test. Or we ju=
st
    >> use www.gnu.org

    Lars> We can't use anything external -- that'd fail a lot more than usi=
ng
    Lars> (system-name).

    Lars> But we should just disable this test if (system-name) doesn't res=
olve.
    Lars> That should be easy enough to check for.=20=20

    Lars> (network-lookup-address-info (system-name))
    Lars> =3D> ([127 0 1 1 0])

    Lars> So reasonable values here would be 127 as the first octet on ipv4=
...

Why restrict yourself to IPv4?

(network-lookup-address-info (system-name))
=3D> ([0 0 0 0 0 0 0 1 0] [127 0 0 1 0])

Note that strictly speaking this doesn=CA=BCt test DNS, since in my case
it=CA=BCs just looking in /etc/hosts, but it does test the resolver.

Robert




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42535; Package emacs. Full text available.

Message received at 42535 <at> debbugs.gnu.org:


Received: (at 42535) by debbugs.gnu.org; 4 Aug 2020 15:02:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 04 11:02:27 2020
Received: from localhost ([127.0.0.1]:48831 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k2ySR-0007Mv-IW
	for submit <at> debbugs.gnu.org; Tue, 04 Aug 2020 11:02:27 -0400
Received: from quimby.gnus.org ([95.216.78.240]:57658)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1k2ySO-0007Mh-Td
 for 42535 <at> debbugs.gnu.org; Tue, 04 Aug 2020 11:02:26 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=yG0z/6H9NRzdiB7idgknLIjYDVoszGyEAMwBoGBJwsA=; b=nrohwg9AjJG1sacT3u06vu3Ugc
 7OT7bI2vo5rQZRkE8XHWa4OK5Pwi4af4EvT0mpyy827/r6tJQWgI1bMfCVLeZWu8yeaOFTAVIi6tl
 DUPqtDDx35fyj9z7kgJJTZLxB/Ao8P1v4+QC65E33O5YrMzDBKFL+ojeaetBUEQ8N9C0=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1k2ySF-0000Qm-KA; Tue, 04 Aug 2020 17:02:18 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Robert Pluim <rpluim@HIDDEN>
Subject: Re: bug#42535: 28.0.50; macOS test failure: echo-server-with-dns
References: <m2o8o3sal2.fsf@HIDDEN> <m2lfiw9ghj.fsf@HIDDEN>
 <87a6zao5zg.fsf@HIDDEN> <m2mu3a8osu.fsf@HIDDEN>
 <871rkmo4qh.fsf@HIDDEN> <m2bljq8nup.fsf@HIDDEN>
Date: Tue, 04 Aug 2020 17:02:14 +0200
In-Reply-To: <m2bljq8nup.fsf@HIDDEN> (Robert Pluim's message of "Tue, 04
 Aug 2020 16:52:46 +0200")
Message-ID: <87r1smmp3d.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Robert Pluim <rpluim@HIDDEN> writes: > Then either we need
 to accept that this test can fail on some systems, > or we risk calling the
 wrath of <insert large internet company> down > upon us by putting one of
 their public servers in the [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 42535
Cc: 42535 <at> debbugs.gnu.org, Philipp <p.stephani2@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Robert Pluim <rpluim@HIDDEN> writes:

> Then either we need to accept that this test can fail on some systems,
> or we risk calling the wrath of <insert large internet company> down
> upon us by putting one of their public servers in the test. Or we just
> use www.gnu.org

We can't use anything external -- that'd fail a lot more than using
(system-name).

But we should just disable this test if (system-name) doesn't resolve.
That should be easy enough to check for.  

(network-lookup-address-info (system-name))
=> ([127 0 1 1 0])

So reasonable values here would be 127 as the first octet on ipv4...

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42535; Package emacs. Full text available.

Message received at 42535 <at> debbugs.gnu.org:


Received: (at 42535) by debbugs.gnu.org; 4 Aug 2020 14:52:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 04 10:52:55 2020
Received: from localhost ([127.0.0.1]:48818 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k2yJC-00076f-Ox
	for submit <at> debbugs.gnu.org; Tue, 04 Aug 2020 10:52:54 -0400
Received: from mail-wm1-f47.google.com ([209.85.128.47]:36086)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1k2yJB-00076T-Sb
 for 42535 <at> debbugs.gnu.org; Tue, 04 Aug 2020 10:52:54 -0400
Received: by mail-wm1-f47.google.com with SMTP id 3so3224631wmi.1
 for <42535 <at> debbugs.gnu.org>; Tue, 04 Aug 2020 07:52:53 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :mime-version; bh=mSKgKh3WaZ3plfEdLYMHuIHJEol3JuQ8OLBoFSvnlZc=;
 b=pC9gHl3waN5T4GlYDwsToCEre5kHTQ9jnvIyMxgJE6MJ555NkgEl/PJ7dSw+qjek1w
 ScAMn9FenrJ1f9AUmFUXomhuyklRbceOQfFowGMTDRFEySOPIq/R+0Sjqgchk/LhiKMr
 a88TXA6xFKskXbMlHk0JqZQrPtx8e0Wui8GPPggstrIk2YY8U5QwfSWIAY8ZFbnkzFBH
 9NeExyjDEWEgL5hYH26Y5g3GCIJuRtvUdgtxR3eQOQphpmedVo6nlif0sGKBHYGrLSw0
 9g6TYREJdYrNBe4au0hqvQ20u/Od63ePgyIkKMxclBII5mkdslSJL/ZrtZ8m+m2+D/Gl
 1YXw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:mime-version;
 bh=mSKgKh3WaZ3plfEdLYMHuIHJEol3JuQ8OLBoFSvnlZc=;
 b=GK417y3Eri8vOlEQC1+3lOiHonFaD3ZPmydY7m7tFAWeYIZc8N0t9RKfjpyfboq8Qs
 Peij4hvpi61BRf88WYUPHKSowUliFj1tdQNocz6kjzDEybpRzkpwuwC3JWl8y3ekyUch
 cPYQ1RjUWVsklv6oBCnPeWY4wgokwffS9e3rN1eGOfLZVcX+By0e3lwMW3Aj0rM9qvTh
 kAjRHbszxTCx2iZzn8+MPLdF46ASQDDQ3pkBs66EjFnRvOPN2mieUZ7k/Sk76sgq3PpA
 Xx1Z2dV/kYro7Bg6aZV/zPz9U6BsVg1ki+YhP0upDs/0hldvM3h5zmLmIymVJLAlHURI
 YqEg==
X-Gm-Message-State: AOAM532xwloyvLD6eM1p5/vVYgUV+ZwZoUekPVyfnnwoTNotfPvb15BN
 OeCxPNL6aQbzhpdzMPzy1EMVuR3HA47A1g==
X-Google-Smtp-Source: ABdhPJx0SgNdyki1XBXme2PK/WCygLjpTzAIGrfCARkKm2tcOJ7IxkOGfc+VRA/iuC5IDH5lIn1ZhQ==
X-Received: by 2002:a1c:9c96:: with SMTP id f144mr4464162wme.18.1596552767628; 
 Tue, 04 Aug 2020 07:52:47 -0700 (PDT)
Received: from rpluim-mac ([2a01:e34:ecfc:a860:b9a5:7154:c4ef:ab72])
 by smtp.gmail.com with ESMTPSA id e16sm29974640wrx.30.2020.08.04.07.52.46
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 04 Aug 2020 07:52:47 -0700 (PDT)
From: Robert Pluim <rpluim@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#42535: 28.0.50; macOS test failure: echo-server-with-dns
References: <m2o8o3sal2.fsf@HIDDEN> <m2lfiw9ghj.fsf@HIDDEN>
 <87a6zao5zg.fsf@HIDDEN> <m2mu3a8osu.fsf@HIDDEN>
 <871rkmo4qh.fsf@HIDDEN>
Date: Tue, 04 Aug 2020 16:52:46 +0200
In-Reply-To: <871rkmo4qh.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Tue,
 04 Aug 2020 16:39:02 +0200")
Message-ID: <m2bljq8nup.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 42535
Cc: 42535 <at> debbugs.gnu.org, Philipp <p.stephani2@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>>>>> On Tue, 04 Aug 2020 16:39:02 +0200, Lars Ingebrigtsen <larsi@HIDDEN> said:

    Lars> Robert Pluim <rpluim@HIDDEN> writes:
    >> localhost? But the next test already checks that. Is anyone still
    >> running any public echo servers?

    Lars> Isn't localhost hard-coded to 127.0.0.1/::1 and doesn't use the resolver
    Lars> at all?

Yes.

    >> If what you really want to test is "does DNS work", then
    >> src/process-tests.el already does that with 'network-lookup-address-info',
    >> which shares the actual lookup code with 'make-network-process'.

    Lars> No, I think that code really wants to check whether we can make a
    Lars> network process work with DNS, because that's a different code path than
    Lars> just network-lookup-address-info + make-network-process.

Then either we need to accept that this test can fail on some systems,
or we risk calling the wrath of <insert large internet company> down upon us by
putting one of their public servers in the test. Or we just use www.gnu.org

Robert




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42535; Package emacs. Full text available.

Message received at 42535 <at> debbugs.gnu.org:


Received: (at 42535) by debbugs.gnu.org; 4 Aug 2020 14:39:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 04 10:39:15 2020
Received: from localhost ([127.0.0.1]:48786 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k2y5z-0004a8-Jy
	for submit <at> debbugs.gnu.org; Tue, 04 Aug 2020 10:39:15 -0400
Received: from quimby.gnus.org ([95.216.78.240]:57450)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1k2y5x-0004Zs-1Z
 for 42535 <at> debbugs.gnu.org; Tue, 04 Aug 2020 10:39:14 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=wH035S+rM4sbKXzlkhvDSkLMdi3HHOhXQer6sDRmDR0=; b=pYWh7Fs9TXJNIC+rHLiZ7vxKQ6
 iYWCy1tcy+wwocKA9stKHs7kcUvkx9dAQbjLwSXC/qTgYMepxgmooB1Rn+pTEzq7hJuMgIgCe8WBY
 eJvm0NO3femWXiZxOVCNDh8n+HAixEcehhBIG5GaRy4tY1L+ujsZuzFC5m/CXo32uLE8=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1k2y5n-0000FU-N8; Tue, 04 Aug 2020 16:39:06 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Robert Pluim <rpluim@HIDDEN>
Subject: Re: bug#42535: 28.0.50; macOS test failure: echo-server-with-dns
References: <m2o8o3sal2.fsf@HIDDEN> <m2lfiw9ghj.fsf@HIDDEN>
 <87a6zao5zg.fsf@HIDDEN> <m2mu3a8osu.fsf@HIDDEN>
Date: Tue, 04 Aug 2020 16:39:02 +0200
In-Reply-To: <m2mu3a8osu.fsf@HIDDEN> (Robert Pluim's message of "Tue, 04
 Aug 2020 16:32:17 +0200")
Message-ID: <871rkmo4qh.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Robert Pluim <rpluim@HIDDEN> writes: > localhost? But the
 next test already checks that. Is anyone still > running any public echo
 servers? Isn't localhost hard-coded to 127.0.0.1/::1 and doesn't use the
 resolver at all? 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 42535
Cc: 42535 <at> debbugs.gnu.org, Philipp <p.stephani2@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Robert Pluim <rpluim@HIDDEN> writes:

> localhost? But the next test already checks that. Is anyone still
> running any public echo servers?

Isn't localhost hard-coded to 127.0.0.1/::1 and doesn't use the resolver
at all?

> If what you really want to test is "does DNS work", then
> src/process-tests.el already does that with 'network-lookup-address-info',
> which shares the actual lookup code with 'make-network-process'.

No, I think that code really wants to check whether we can make a
network process work with DNS, because that's a different code path than
just network-lookup-address-info + make-network-process.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42535; Package emacs. Full text available.

Message received at 42535 <at> debbugs.gnu.org:


Received: (at 42535) by debbugs.gnu.org; 4 Aug 2020 14:32:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 04 10:32:27 2020
Received: from localhost ([127.0.0.1]:48773 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k2xzP-0004Q9-HO
	for submit <at> debbugs.gnu.org; Tue, 04 Aug 2020 10:32:27 -0400
Received: from mail-wm1-f42.google.com ([209.85.128.42]:40836)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1k2xzN-0004Px-HU
 for 42535 <at> debbugs.gnu.org; Tue, 04 Aug 2020 10:32:26 -0400
Received: by mail-wm1-f42.google.com with SMTP id k20so3134371wmi.5
 for <42535 <at> debbugs.gnu.org>; Tue, 04 Aug 2020 07:32:25 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :mime-version; bh=DjVlGvleKoHg7FrZ3xN1qqm/hh9NNIsYtzE6M3b6T7U=;
 b=BLPlUWtyksEZnlB5RE3cgXjOAh6TkKFrcyyBnPAMisaBcdBgnQrUomJD/vC1J0MHyN
 Yn++q6uNwhQmxkA3LLBk0rNBedDdqARL0cANwkXIZWPW4qVcuJEx4k+H8/gLprsEIu5l
 LT4ep1OeqFu9ngSyqIPz5PI/5A2vecDR/lxwYNhF/dIINVBgfA65snBOETFUJ7L+jTZr
 1C2ZhsMPA7ErBS6bQdddi3/IQsSrZ5BdWFUr7yh38yckRzQghtynoobutJ4ykmujpFQT
 22CcAIGk/hq0RU3swIC07nhXOjl3Bvbp9XKQtl0p1m05B4PQFMx+l5/f8c2jye4z4iSm
 HOpQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:mime-version;
 bh=DjVlGvleKoHg7FrZ3xN1qqm/hh9NNIsYtzE6M3b6T7U=;
 b=nvSD2uNrxiY4tFFGIX2dHONpFAHreGA5/BSiGYQyAY8KXq7RucDKGQBHaL8Eitnpc+
 xNRbJmwViyZpz7FkS00y4FvuydC6lG5iBkXzVgbzdD0C2rjqOBidoYaZHkBBE7U5J4IP
 A1kl1TVO6dBFhS9/2ZM9i9LP3aiMFttAbKm+Uw9VINe40TJlZuQJMMdpLXE51FCzs69j
 KooiSZ67W53XFxqpUxYbyZnTxY58PogjVDbgF1y91gTTbU36tfDfngcENN/D9KS/WuNZ
 MB8iwMMX0k1TIIToKgS+Oar/mxaUDlatwBIWVN88gH4VfWE1WCZA98BElEE4cyJzr+v5
 6mzQ==
X-Gm-Message-State: AOAM531kMHM6EIXALRG/XCDC0V3wsPUEXb3iE9hS1gK/iSl+nS4H09Hj
 Ja8IEA4jU3RhhRmQ3u1/19lE3HPTBJSxpw==
X-Google-Smtp-Source: ABdhPJy/sw3jO3dBf/cjpLizWM05u0hZoxsyKy0m3AWoX6UnruBSVtIF1bzuE4RVkijGqlAVKo0h2w==
X-Received: by 2002:a7b:c219:: with SMTP id x25mr4326425wmi.101.1596551539194; 
 Tue, 04 Aug 2020 07:32:19 -0700 (PDT)
Received: from rpluim-mac ([2a01:e34:ecfc:a860:b9a5:7154:c4ef:ab72])
 by smtp.gmail.com with ESMTPSA id s131sm4940478wme.17.2020.08.04.07.32.18
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 04 Aug 2020 07:32:18 -0700 (PDT)
From: Robert Pluim <rpluim@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#42535: 28.0.50; macOS test failure: echo-server-with-dns
References: <m2o8o3sal2.fsf@HIDDEN> <m2lfiw9ghj.fsf@HIDDEN>
 <87a6zao5zg.fsf@HIDDEN>
Date: Tue, 04 Aug 2020 16:32:17 +0200
In-Reply-To: <87a6zao5zg.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Tue,
 04 Aug 2020 16:12:03 +0200")
Message-ID: <m2mu3a8osu.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 42535
Cc: 42535 <at> debbugs.gnu.org, Philipp <p.stephani2@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>>>>> On Tue, 04 Aug 2020 16:12:03 +0200, Lars Ingebrigtsen <larsi@HIDDEN> said:

    Lars> Robert Pluim <rpluim@HIDDEN> writes:
    >> The test also assumes that (system-name) results in a resolvable name,
    >> which is not always true (you can stick an entry in /etc/hosts to make
    >> it true).

    Lars> It's supposed to test DNS, though -- is there something that'll be more
    Lars> reliable than (system-name)?  (Not that it's reliable, but...  more.  :-))

localhost? But the next test already checks that. Is anyone still
running any public echo servers?

If what you really want to test is "does DNS work", then
src/process-tests.el already does that with 'network-lookup-address-info',
which shares the actual lookup code with 'make-network-process'.

Robert




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42535; Package emacs. Full text available.

Message received at 42535 <at> debbugs.gnu.org:


Received: (at 42535) by debbugs.gnu.org; 4 Aug 2020 14:14:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 04 10:14:51 2020
Received: from localhost ([127.0.0.1]:48728 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k2xiN-0003wg-Ix
	for submit <at> debbugs.gnu.org; Tue, 04 Aug 2020 10:14:51 -0400
Received: from quimby.gnus.org ([95.216.78.240]:57256)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1k2xiM-0003wQ-8P
 for 42535 <at> debbugs.gnu.org; Tue, 04 Aug 2020 10:14:50 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=CwG7n50O0MCt+4tOY9qH12xEZWLhiSntDEp9ZqW/q+Y=; b=HKjfxY0pYoaI5Q601R6qNY4iyn
 t3pBCAv0AIPFqqWPLYKM70q+2aSyUPNTCNH4NxfIb1Zbmff55UqroFy2VoMK1Hvo8Gm7bStB+4TtP
 mMKo0Yo4F7cEihb02ROuSTpCx9+sP43D/7FdtCQ2Gg0bOY8hLk6ikCR0o09HhAV8bcU8=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1k2xiE-00005G-11; Tue, 04 Aug 2020 16:14:44 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Philipp <p.stephani2@HIDDEN>
Subject: Re: bug#42535: 28.0.50; macOS test failure: echo-server-with-dns
References: <m2o8o3sal2.fsf@HIDDEN>
Date: Tue, 04 Aug 2020 16:14:40 +0200
In-Reply-To: <m2o8o3sal2.fsf@HIDDEN> (Philipp's message of "Sat, 25 Jul
 2020 20:39:37 +0200")
Message-ID: <875z9yo5v3.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Philipp <p.stephani2@HIDDEN> writes: > This is another
 follow-up to bug#30700, this time about the test > echo-server-with-dns. [...]
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 42535
Cc: 42535 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Philipp <p.stephani2@HIDDEN> writes:

> This is another follow-up to bug#30700, this time about the test
> echo-server-with-dns.

[...]

> In this case, this might be an issue with the macOS firewall: 'make
> check' results in a few prompts whether incoming connections should be
> accepted, and I've declined these prompts.

Is that something we can test for, though?  If you've set up your
machine to not accept network connections from itself, then you'd think
all of the network tests would fail (and should be skipped).

But is there a way to test for that?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42535; Package emacs. Full text available.

Message received at 42535 <at> debbugs.gnu.org:


Received: (at 42535) by debbugs.gnu.org; 4 Aug 2020 14:12:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 04 10:12:16 2020
Received: from localhost ([127.0.0.1]:48717 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k2xfr-0003rw-Un
	for submit <at> debbugs.gnu.org; Tue, 04 Aug 2020 10:12:16 -0400
Received: from quimby.gnus.org ([95.216.78.240]:57218)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1k2xfq-0003rh-A7
 for 42535 <at> debbugs.gnu.org; Tue, 04 Aug 2020 10:12:14 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=FEfRufvgvRtzVfJja+08XU0otJCdAJJ63PkCTQkmPk8=; b=HR8jO1GYLCy4ZB0KgxDh3ivxAl
 mo2Hrwb6G2coqj+0pcHqiht97YU2GjF0XucZYrriLgj+07SsD9FR+eiBP3dDMRne34aVR/1gyfhaZ
 LyPgy4+0251lGex08NilLLYdfYcGqr8OH2wrptMRc1Y5lMyH3xg9sJQi4abAHQXLCjqI=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1k2xfh-0008Ty-4w; Tue, 04 Aug 2020 16:12:07 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Robert Pluim <rpluim@HIDDEN>
Subject: Re: bug#42535: 28.0.50; macOS test failure: echo-server-with-dns
References: <m2o8o3sal2.fsf@HIDDEN> <m2lfiw9ghj.fsf@HIDDEN>
Date: Tue, 04 Aug 2020 16:12:03 +0200
In-Reply-To: <m2lfiw9ghj.fsf@HIDDEN> (Robert Pluim's message of "Mon, 03
 Aug 2020 12:22:00 +0200")
Message-ID: <87a6zao5zg.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Robert Pluim <rpluim@HIDDEN> writes: > The test also
 assumes
 that (system-name) results in a resolvable name, > which is not always true
 (you can stick an entry in /etc/hosts to make > it true). It's supposed to
 test DNS,
 though -- is there something that'll be more reliable than (system-name)?
 (Not that it's reliable, but... more. :-)) 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 42535
Cc: 42535 <at> debbugs.gnu.org, Philipp <p.stephani2@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Robert Pluim <rpluim@HIDDEN> writes:

> The test also assumes that (system-name) results in a resolvable name,
> which is not always true (you can stick an entry in /etc/hosts to make
> it true).

It's supposed to test DNS, though -- is there something that'll be more
reliable than (system-name)?  (Not that it's reliable, but...  more.  :-))

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42535; Package emacs. Full text available.

Message received at 42535 <at> debbugs.gnu.org:


Received: (at 42535) by debbugs.gnu.org; 3 Aug 2020 10:22:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 03 06:22:10 2020
Received: from localhost ([127.0.0.1]:44401 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k2Xbe-0004bW-Kq
	for submit <at> debbugs.gnu.org; Mon, 03 Aug 2020 06:22:10 -0400
Received: from mail-wm1-f43.google.com ([209.85.128.43]:55155)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1k2Xbc-0004bJ-B4
 for 42535 <at> debbugs.gnu.org; Mon, 03 Aug 2020 06:22:09 -0400
Received: by mail-wm1-f43.google.com with SMTP id d190so13825380wmd.4
 for <42535 <at> debbugs.gnu.org>; Mon, 03 Aug 2020 03:22:08 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :mime-version; bh=5Qmd83c+fjysM21tUWKQxzIoccFlUAcT03Q1VJ/Q/8I=;
 b=IXQphTPpcm36WMhC/g+0enBYe8K109H+9l6Kp7b4bQQHyh/euzrTVkAeqRfGhg/NBw
 ZTP0y6LU/dUOH5YJT2OAhkrAHQV8ssOw9DhdStF7sCwVHHFUAtnYGJso3mmQ0E3NcAUv
 A8rp2uGwTBSX73qszLnJxvrMrZtzSjqeGWhEu/a1O79LskSwVYUOQ5mXwbfMd1Z/3/dO
 u5/8bdDDdgCgcnxIN0tSydP6QB/HlogIsFrc2bb4ScCGl3nuahMliJUXT/kmAgV4yRdk
 CCv3pja9Ye6kuECG3INN/yEagxUC89N0U5s8eMs74HmqeI9gaVui94ZKR/jw4jSk5e1h
 3EPA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:mime-version;
 bh=5Qmd83c+fjysM21tUWKQxzIoccFlUAcT03Q1VJ/Q/8I=;
 b=ZVj9MyidrzTMc32cTlUpXFLM3uu89coOy9xawBWR9z7PS50VvooaW8uYEdBQMYZwKn
 1AlYJ1f+Wse2oOLfVWk1jlxDNyyWveWrmhGv3B0TIA5eC+kwyuwopNi90wDkCF/KYABt
 P4or1W11XIQpwrH+jb/WY9BkThmCXoZQnaRKGkmeq160/dlDW+5mI5CUtR2fu60Ox75Y
 zl0fHnWi5SHwf2f+/6XdU+Qo4FNnfrjjp1auSC684AXeGK8Nn8Fz3JOIu++AbWgaGFZO
 lM5n0OqaqB9fwk/AZwNvSVS/xCIncbJjZZTfF+AsufSXxi4t42tv5TmZajjfNszhB/GM
 clVQ==
X-Gm-Message-State: AOAM532AnDUdVhjnH+51vcbr1Kmf5XblXyx0VKaJxiDELb4RQvoiq0S/
 kXYu4Vbw30OPAD8vkG6VXonJ8NYE0vc=
X-Google-Smtp-Source: ABdhPJzUnt3qOz0c7N5vvJ8G0nMAGSzuZb0eNbdFTIu65+qn9ojybfru99cDEjtv6En+y1bH00ZGrQ==
X-Received: by 2002:a1c:7d95:: with SMTP id y143mr15751630wmc.45.1596450122077; 
 Mon, 03 Aug 2020 03:22:02 -0700 (PDT)
Received: from rpluim-mac ([2a01:e34:ecfc:a860:f459:7607:413:e03a])
 by smtp.gmail.com with ESMTPSA id q6sm23274838wma.22.2020.08.03.03.22.00
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Mon, 03 Aug 2020 03:22:01 -0700 (PDT)
From: Robert Pluim <rpluim@HIDDEN>
To: Philipp <p.stephani2@HIDDEN>
Subject: Re: bug#42535: 28.0.50; macOS test failure: echo-server-with-dns
References: <m2o8o3sal2.fsf@HIDDEN>
Date: Mon, 03 Aug 2020 12:22:00 +0200
In-Reply-To: <m2o8o3sal2.fsf@HIDDEN> (Philipp's message of "Sat, 25 Jul
 2020 20:39:37 +0200")
Message-ID: <m2lfiw9ghj.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 42535
Cc: 42535 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>>>>> On Sat, 25 Jul 2020 20:39:37 +0200, Philipp <p.stephani2@HIDDEN> said:

    Philipp> This is another follow-up to bug#30700, this time about the test
    Philipp> echo-server-with-dns.

    Philipp> Test echo-server-with-dns backtrace:
    Philipp>   make-network-process(:name "server" :server t :noquery t :family ipv
    Philipp>   make-server("p")
    Philipp>   #f(compiled-function () #<bytecode 0x19bcc38041173061>)()
    Philipp>   ert--run-test-internal(#s(ert--test-execution-info :test #s(ert-test
    Philipp>   ert-run-test(#s(ert-test :name echo-server-with-dns :documentation n
    Philipp>   ert-run-or-rerun-test(#s(ert--stats :selector (not ...) :tests [... 
    Philipp>   ert-run-tests((not (or (tag :expensive-test) (tag :unstable))) #f(co
    Philipp>   ert-run-tests-batch((not (or (tag :expensive-test) (tag :unstable)))
    Philipp>   ert-run-tests-batch-and-exit((not (or (tag :expensive-test) (tag :un
    Philipp>   eval((ert-run-tests-batch-and-exit '(not (or (tag :expensive-test) (
    Philipp>   command-line-1(("-L" ":." "-l" "ert" "-l" "lisp/net/network-stream-t
    Philipp>   command-line()
    Philipp>   normal-top-level()
    Philipp> Test echo-server-with-dns condition:
    Philipp>     (error "p/0 nodename nor servname provided, or not known")
    Philipp>    FAILED   8/27  echo-server-with-dns (0.006517 sec)

    Philipp> In this case, this might be an issue with the macOS firewall: 'make
    Philipp> check' results in a few prompts whether incoming connections should be
    Philipp> accepted, and I've declined these prompts.

The test also assumes that (system-name) results in a resolvable name,
which is not always true (you can stick an entry in /etc/hosts to make
it true).

Robert




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42535; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 25 Jul 2020 18:39:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jul 25 14:39:48 2020
Received: from localhost ([127.0.0.1]:51118 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jzP5H-0008WG-UI
	for submit <at> debbugs.gnu.org; Sat, 25 Jul 2020 14:39:48 -0400
Received: from lists.gnu.org ([209.51.188.17]:43720)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <p.stephani2@HIDDEN>) id 1jzP5D-0008W5-UB
 for submit <at> debbugs.gnu.org; Sat, 25 Jul 2020 14:39:46 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:32808)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <p.stephani2@HIDDEN>)
 id 1jzP5D-0000YI-L1
 for bug-gnu-emacs@HIDDEN; Sat, 25 Jul 2020 14:39:43 -0400
Received: from mail-ej1-x633.google.com ([2a00:1450:4864:20::633]:41474)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <p.stephani2@HIDDEN>)
 id 1jzP5B-0005Qk-QE
 for bug-gnu-emacs@HIDDEN; Sat, 25 Jul 2020 14:39:43 -0400
Received: by mail-ej1-x633.google.com with SMTP id w9so13132466ejc.8
 for <bug-gnu-emacs@HIDDEN>; Sat, 25 Jul 2020 11:39:41 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:subject:date:message-id:mime-version;
 bh=eQ86nwu7e4NddeT1lN9za/V4G0A2kNlRNJ9tOWX+wT4=;
 b=S8yG3O8W8Ufal5rhjKpohetmTzD5PyPh2iCtT6ESsiqQghybaYl8HhonTb+nPQr3qG
 pi0bLcmmJdt4uCAWoe19HoU5lYlm3G/0oiEmXx+6e23LWDFTdUOo/P9lQ0ncfU7cQG3T
 U6gP9wDuGwC3RX+1qKYCWY9UV7MPIfAsVnVCoBEz1sWJYcJEovxD6UxrFoKSILn2hFHa
 BmqR6zLWO72RgJDyaHjQyPPqJbIu2eRH0bwUczpsOPUg2G9VrFqELca2I51dzhKQocXJ
 FGRvEIyu9Z4Uqr3VB7vyWID9jewFyaRmvqPU99VWYvGniZKARCzcSQJpReSEx8uu6+m/
 QE6w==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:subject:date:message-id:mime-version;
 bh=eQ86nwu7e4NddeT1lN9za/V4G0A2kNlRNJ9tOWX+wT4=;
 b=MsawhZNdE8MugLnG+LsX5AEknYyj2Jj9U/6j6T8nEPbUXxK7DR3hrHOjrTmnCIsUtH
 iZ9jQPQ56wRiYl4/aaXf3/8VKfSIPpA6HTw3tfmCot0kshiKAVwMY1sTpD9YW6tD+Edx
 ShGspoIzKO2XaVInxZDOO6dSgR3lB80znlKa86iXDMv6ELoppLGiEiB58AxpATu12ggi
 RYuQC6Kcn88ZHNIXqNtkA1opQHwCtylfI1QrAjVw9pd4UUJEle8JzT1sW3na6E/NEO4X
 SozPbW8naFxTmDo4yA9pMjDEU40YGDQuW9jlLkAPDKKjpdMX/2USUi3n6HgZvsFUCp7i
 KSrA==
X-Gm-Message-State: AOAM531985EjGFy4xf8H4AHuwKPnYL3ej8S/ExoYQ0qEwA9O1C1yTThY
 +OoxhZYjdpwhWGXzEnCgan36Fnou
X-Google-Smtp-Source: ABdhPJzY0lG+O13zlmVr7Tgyv61lhGefNR8y1wORfN4ZlTbBrdMW2Zl2rAyqKg1GFN1zNILFC0Z8Hg==
X-Received: by 2002:a17:906:7698:: with SMTP id
 o24mr8040758ejm.182.1595702379637; 
 Sat, 25 Jul 2020 11:39:39 -0700 (PDT)
Received: from p (p579977e9.dip0.t-ipconnect.de. [87.153.119.233])
 by smtp.gmail.com with ESMTPSA id a8sm3521726edk.36.2020.07.25.11.39.38
 for <bug-gnu-emacs@HIDDEN>
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 25 Jul 2020 11:39:39 -0700 (PDT)
From: Philipp <p.stephani2@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 28.0.50; macOS test failure: echo-server-with-dns
Date: Sat, 25 Jul 2020 20:39:37 +0200
Message-ID: <m2o8o3sal2.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
Received-SPF: pass client-ip=2a00:1450:4864:20::633;
 envelope-from=p.stephani2@HIDDEN; helo=mail-ej1-x633.google.com
X-detected-operating-system: by eggs.gnu.org: No matching host in p0f cache.
 That's all we know.
X-Spam_score_int: -17
X-Spam_score: -1.8
X-Spam_bar: -
X-Spam_report: (-1.8 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 FREEMAIL_ENVFROM_END_DIGIT=0.25, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 0.8 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.1 (--)


This is another follow-up to bug#30700, this time about the test
echo-server-with-dns.

Test echo-server-with-dns backtrace:
  make-network-process(:name "server" :server t :noquery t :family ipv
  make-server("p")
  #f(compiled-function () #<bytecode 0x19bcc38041173061>)()
  ert--run-test-internal(#s(ert--test-execution-info :test #s(ert-test
  ert-run-test(#s(ert-test :name echo-server-with-dns :documentation n
  ert-run-or-rerun-test(#s(ert--stats :selector (not ...) :tests [... 
  ert-run-tests((not (or (tag :expensive-test) (tag :unstable))) #f(co
  ert-run-tests-batch((not (or (tag :expensive-test) (tag :unstable)))
  ert-run-tests-batch-and-exit((not (or (tag :expensive-test) (tag :un
  eval((ert-run-tests-batch-and-exit '(not (or (tag :expensive-test) (
  command-line-1(("-L" ":." "-l" "ert" "-l" "lisp/net/network-stream-t
  command-line()
  normal-top-level()
Test echo-server-with-dns condition:
    (error "p/0 nodename nor servname provided, or not known")
   FAILED   8/27  echo-server-with-dns (0.006517 sec)

In this case, this might be an issue with the macOS firewall: 'make
check' results in a few prompts whether incoming connections should be
accepted, and I've declined these prompts.


In GNU Emacs 28.0.50 (build 67, x86_64-apple-darwin19.5.0, NS appkit-1894.50 Version 10.15.5 (Build 19F101))
 of 2020-07-25
Repository revision: 3b44829823f43d3736b8ec9db2258eeff7f6c16a
Repository branch: master
Windowing system distributor 'Apple', version 10.3.1894
System Description:  Mac OS X 10.15.5

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.

Configured using:
 'configure --with-modules --without-xml2 --without-pop --with-mailutils
 --enable-gcc-warnings=warn-only --enable-checking=all
 --enable-check-lisp-object-type 'CFLAGS=-ggdb3 -O0''

Configured features:
JPEG TIFF GIF PNG NOTIFY KQUEUE ACL GNUTLS ZLIB TOOLKIT_SCROLL_BARS NS
MODULES THREADS JSON PDUMPER LCMS2

Important settings:
  value of $LANG: de_DE.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Lisp Interaction

Minor modes in effect:
  tooltip-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message rmc dired dired-loaddefs rfc822
mml easymenu mml-sec epa epg epg-config gnus-util rmail rmail-loaddefs
text-property-search time-date mm-decode mm-bodies mm-encode mail-parse
rfc2231 mailabbrev gmm-utils mailheader sendmail rfc2047 rfc2045
ietf-drums mm-util mail-prsvr mail-utils phst skeleton derived edmacro
kmacro pcase ffap thingatpt url url-proxy url-privacy url-expand
url-methods url-history url-cookie url-domsuf url-util url-parse
auth-source cl-seq eieio eieio-core cl-macs eieio-loaddefs
password-cache json map url-vars mailcap subr-x rx gnutls puny seq
byte-opt gv bytecomp byte-compile cconv dbus xml compile comint
ansi-color ring cl-loaddefs cl-lib tooltip eldoc electric uniquify
ediff-hook vc-hooks lisp-float-type mwheel term/ns-win ns-win
ucs-normalize mule-util term/common-win tool-bar dnd fontset image
regexp-opt fringe tabulated-list replace newcomment text-mode elisp-mode
lisp-mode prog-mode register page tab-bar menu-bar rfn-eshadow isearch
timer select scroll-bar mouse jit-lock font-lock syntax facemenu
font-core term/tty-colors frame minibuffer cl-generic cham georgian
utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
japanese eucjp-ms cp51932 hebrew greek romanian slovak czech european
ethiopic indian cyrillic chinese composite charscript charprop
case-table epa-hook jka-cmpr-hook help simple abbrev obarray
cl-preloaded nadvice loaddefs button faces cus-face macroexp files
text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote threads kqueue cocoa ns
lcms2 multi-tty make-network-process emacs)

Memory information:
((conses 16 69704 6782)
 (symbols 48 8650 1)
 (strings 32 23539 1292)
 (string-bytes 1 768345)
 (vectors 16 14143)
 (vector-slots 8 172492 7594)
 (floats 8 26 29)
 (intervals 56 207 0)
 (buffers 992 10))




Acknowledgement sent to Philipp <p.stephani2@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#42535; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 4 Aug 2020 16:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.